This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 53894 - kernel-enterprise-2.4.9-0.5 panics on boot
kernel-enterprise-2.4.9-0.5 panics on boot
Status: CLOSED ERRATA
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-20 17:54 EDT by Jeff Busch
Modified: 2015-01-04 17:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-26 00:34:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
boot log of kernel-enterprise-2.4.9-0.5 (6.60 KB, text/plain)
2001-09-20 17:56 EDT, Jeff Busch
no flags Details
boot log of kernel-smp-2.4.6-2.4 (6.65 KB, text/plain)
2001-09-20 17:57 EDT, Jeff Busch
no flags Details

  None (edit)
Description Jeff Busch 2001-09-20 17:54:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
This does not boot on a Compaq DL360.  Attached are dumps from a serial 
console when booting 2.4.9-0.5 and 2.4.6-2smp.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Install kernel
2.  Boot system
3.
	

Additional info:
Comment 1 Jeff Busch 2001-09-20 17:56:01 EDT
Created attachment 32278 [details]
boot log of kernel-enterprise-2.4.9-0.5
Comment 2 Jeff Busch 2001-09-20 17:57:48 EDT
Created attachment 32279 [details]
boot log of kernel-smp-2.4.6-2.4
Comment 3 Arjan van de Ven 2001-09-20 18:05:01 EDT
Yeah known and (now fixed) problem. Fixed a few hours after 0.5 was built;
but with the "rawhide is a snapshot", that snapshot sometimes is at the wrong
second ;)

Anyway, if you don't mind rebuilding the rpm, if you disable patch 870 (eg add a
# in front of %patch870 -p1) will make it work for now.
Comment 4 Jeff Busch 2001-09-20 20:39:52 EDT
ok I commented out patch 870 and the build failed ...

| /sbin/genksyms -p smp_ -k 2.4.9 > /usr/src/redhat/BUILD/kernel-
2.4.9/linux/include/linux/modules/i386_ksyms.ver.tmp
mv /usr/src/redhat/BUILD/kernel-
2.4.9/linux/include/linux/modules/i386_ksyms.ver.tmp /usr/src/redhat/BUILD/kerne
l-2.4.9/linux/include/linux/modules/i386_ksyms.ver
/usr/src/redhat/BUILD/kernel-2.4.9/linux/include/linux/modversions.h was updated
+ make -s include/linux/version.h
+ SaveHeaders smp athlon
+ echo 'SAVING HEADERS for smp athlon'
SAVING HEADERS for smp athlon
+ mkdir -p /var/tmp/kernel-2.4.9-0.5-root/usr/src/linux-2.4.9-
0.5/savedheaders/athlon/smp
+ install -m 644 include/linux/autoconf.h /var/tmp/kernel-2.4.9-0.5-
root/usr/src/linux-2.4.9-0.5/savedheaders/athlon/smp/autoconf.h
+ install -m 644 include/linux/version.h /var/tmp/kernel-2.4.9-0.5-
root/usr/src/linux-2.4.9-0.5/savedheaders/athlon/smp/version.h
+ mv include/linux/modules /var/tmp/kernel-2.4.9-0.5-root/usr/src/linux-2.4.9-
0.5/savedheaders/athlon/smp/
+ echo athlon smp ../../savedheaders/athlon/smp/
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.13372
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd kernel-2.4.9
+ cd linux
+ mkdir -p /var/tmp/kernel-2.4.9-0.5-root/boot /var/tmp/kernel-2.4.9-0.5-
root/sbin
+ rm -f '/var/tmp/kernel-2.4.9-0.5-root/lib/modules/*/build'
+ ln -sf ../../../usr/src/linux-2.4.9-0.5 '/var/tmp/kernel-2.4.9-0.5-
root/lib/modules/*/build'
ln: creating symbolic link `/var/tmp/kernel-2.4.9-0.5-root/lib/modules/*/build' 
to `../../../usr/src/linux-2.4.9-0.5': No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.13372 (%install)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.13372 (%install)

I can upload the whole log and spec file if you wish ... the only other things 
I changed in the spec were the %define build's at the beginning ...

Am I doing something wrong?
Comment 5 Arjan van de Ven 2001-09-21 04:12:38 EDT
Some of the %define's in the beginning are not actually tunable in the 2.4.9
kernel right now; that's to be fixed soon I hope...

Note You need to log in before you can comment on or make changes to this bug.